FreeMat

- Main Page
- Related Pages

vtkLinesPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This painter tries to paint lines efficiently. Request to Render any other primitive are ignored and not passed to the delegate painter, if any. This painter cannot handle cell colors/normals. If they are present the request is passed on to the Delegate painter. If this class is able to render the primitive, the render request is not propagated to the delegate painter.

To create an instance of class vtkLinesPainter, simply invoke its constructor as follows

      obj = vtkLinesPainter

# Methods

The class vtkLinesPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLinesPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLinesPainter = obj.NewInstance ()`
- `vtkLinesPainter = obj.SafeDownCast (vtkObject o)`